Package com.mouseviator.fsuipc

# Enum FSUIPCWrapper.FSUIPCSimVersion

java.lang.Object
java.lang.Enum<FSUIPCWrapper.FSUIPCSimVersion>
com.mouseviator.fsuipc.FSUIPCWrapper.FSUIPCSimVersion

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FSUIPCWrapper.FSUIPCSimVersion>`, `java.lang.constant.Constable`

Enclosing class:
  FSUIPCWrapper

    public static enum FSUIPCWrapper.FSUIPCSimVersion
    extends java.lang.Enum<FSUIPCWrapper.FSUIPCSimVersion>

An enumeration of known FSUIPC sim versions for passing as parameter to `FSUIPCWrapper.open(int)` function.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `SIM_ANY` | Any simulator
  `SIM_CFS1` | Combat Flight Simulator 1
  `SIM_CFS2` | Combat Flight Simulator 2
  `SIM_ESP` | ESP
  `SIM_FLY` | Fly!
  `SIM_FS2K` | Flight Simulator 2000
  `SIM_FS2K2` | Flight Simulator 2002
  `SIM_FS2K4` | Flight Simulator 2004
  `SIM_FS98` | Flight Simulator 98
  `SIM_FSX` | Flight Simulator X
  `SIM_FSX64` | Flight Simulator X 64bit
  `SIM_MSFS` | Flight Simulator 2020
  `SIM_P3D` | Prepar3D
  `SIM_P3D64` | Prepar3D 64 bit

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static FSUIPCWrapper.FSUIPCSimVersion` | `get​(int value)` | Returns `FSUIPCWrapper.FSUIPCSimVersion` by corresponding int value.
  `int` | `getValue()` |
  `static FSUIPCWrapper.FSUIPCSimVersion` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static FSUIPCWrapper.FSUIPCSimVersion[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SIM_ANY

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_ANY
    Any simulator

  - ### SIM_FS98

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_FS98
    Flight Simulator 98

  - ### SIM_FS2K

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_FS2K
    Flight Simulator 2000

  - ### SIM_CFS2

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_CFS2
    Combat Flight Simulator 2

  - ### SIM_CFS1

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_CFS1
    Combat Flight Simulator 1

  - ### SIM_FLY

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_FLY
    Fly!

  - ### SIM_FS2K2

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_FS2K2
    Flight Simulator 2002

  - ### SIM_FS2K4

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_FS2K4
    Flight Simulator 2004

  - ### SIM_FSX

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_FSX
    Flight Simulator X

  - ### SIM_ESP

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_ESP
    ESP

  - ### SIM_P3D

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_P3D
    Prepar3D

  - ### SIM_FSX64

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_FSX64
    Flight Simulator X 64bit

  - ### SIM_P3D64

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_P3D64
    Prepar3D 64 bit

  - ### SIM_MSFS

    public static final FSUIPCWrapper.FSUIPCSimVersion SIM_MSFS
    Flight Simulator 2020

- ## Method Details

  - ### values

    public static FSUIPCWrapper.FSUIPCSimVersion[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FSUIPCWrapper.FSUIPCSimVersion valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()
    Returns:
      Integer value of this type.

  - ### get

    public static FSUIPCWrapper.FSUIPCSimVersion get​(int value) throws java.security.InvalidParameterException
    Returns `FSUIPCWrapper.FSUIPCSimVersion` by corresponding int value.
    Parameters:
      `value` - String value corresponding to one of enumeration constants.
    Returns:
      `FSUIPCWrapper.FSUIPCSimVersion` by corresponding int value.
    Throws:
      `java.security.InvalidParameterException` - if value not corresponding to any enumeration value is passed.